po2oo(1)

NAME
po2oo - script that converts a .po file with translations based on a .pot file generated from a OpenOffice localization .oo back to the .oo (but translated) Uses the original .oo to do the conversion as this makes sure we don't leave out any unincluded stuff...

SYNOPSIS

po2oo [--version] [-h|--help] [--manpage] [--progress PROGRESS] [--errorlevel ERRORLEVEL] [-i|--input] INPUT [-x|--exclude EXCLUDE] [-o|--output] OUTPUT [-t|--template TEMPLATE] [--psyco MODE] [-l|--language LANG] [--source-language LANG] [-T|--keeptimestamp] [--nonrecursiveoutput] [--nonrecursivetemplate] [--filteraction ACTION] [--fuzzy] [--nofuzzy] [--multifile MULTIFILESTYLE]

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

--manpage
    output a manpage based on the help

--progress=PROGRESS
    show progress as: dots, none, bar, names, verbose

--errorlevel=ERRORLEVEL
    show errorlevel as: none, message, exception, traceback

-iINPUT, --input=INPUT
    read from INPUT in po, pot formats

-xEXCLUDE, --exclude=EXCLUDE
    exclude names matching EXCLUDE from input paths

-oOUTPUT, --output=OUTPUT
    write to OUTPUT in oo format

-tTEMPLATE, --template=TEMPLATE
    read from TEMPLATE in oo format

--psyco=MODE
    use psyco to speed up the operation, modes: none, full, profile

-lLANG, --language=LANG
    set target language code (e.g. af-ZA) [required]

--source-language=LANG
    set source language code (default en-US)

-T, --keeptimestamp
    don't change the timestamps of the strings

--nonrecursiveoutput
    don't treat the output oo as a recursive store

--nonrecursivetemplate
    don't treat the template oo as a recursive store

--filteraction=ACTION
    action on pofilter failure: none (default), warn, exclude-serious, exclude-all

--fuzzy
    use translations marked fuzzy

--nofuzzy
    don't use translations marked fuzzy (default)

--multifile=MULTIFILESTYLE
    how to split po/pot files (single, toplevel or onefile)